How to configure Ruby SDK & Gems with the plugin

Hi,

I'm relatively new to Intellij Idea, and today installed the Ruby plugin. When I open the Ruby project that someone else had created in RubyMine Intellij's error highlight flags lots of things which aren't errors, stuff like require, Array, or using the open and write methods on the File object. It seems like Intellij is using the wrong version of Ruby, maybe? I see that in RubyMine there is a project setting for configuring the Ruby SDK and Gems. Is there some way to do this in Intellij?

Or is there some way to make it so Intellij isn't needlessly flagging lots of things that aren't wrong?

Thanks, Derek

1 comment

Hi,

sorry for late response. To set sdk for a probject go to File|ProjectStructure and select Project tab

Hope this helps.

Regards, Oleg.

0

Please sign in to leave a comment.